#!/bin/sh

#   *******************************************************************
#   * Licensed Materials - Property of IBM
#   * Tivoli Common Agent
#   * BTCJ
#   * Copyright IBM Corp. 2010. All Rights Reserved
#   *
#   * US Government Users Restricted Rights - Use, duplication or
#   * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#   *******************************************************************

#  Call SetupEnv to setup the needed environment

WORK_DIR=`pwd`
BIN_DIR=`dirname $0`

. $BIN_DIR/../../bin/setupenv.sh

cd $CA_HOME

MYCP=$AGENT_TOOLKIT_JAR:$CLIENT_SERVICES_JAR:$CAS_UTILS_JAR:$CLIENT_JAR:$MGR_CLIENT_JAR:$GUID_JAR:$ICL_JAR:$GSL_JAR:$WEBSERVICES_JAR:$WSOSGI_JAR:$CAS_ASPECT_JAR:$RUNTIME_ASPECT_JAR:$ICU_JAR:$SLP_JAR:$AGENT_NLS_JAR:$RM_NLS_JAR
exec $JAVA_HOME/bin/java $JVM_PARMS -cp $MYCP -Dcom.ibm.pvcws.http.keepconnection=true -Djava.util.logging.config.file=toolkit/config/configureLogging.properties  -Dcom.ibm.tivoli.cas.agent.toolkit.config.LwiHome=$LWI_DIR com.ibm.tivoli.cas.utils.commandline.CommandLineToolLauncher com.ibm.tivoli.cas.agent.toolkit.config.ConfiguratorApp "$@"

cd $WORK_DIR
